
QGIS Application - Bug report #21909

Bug with "mActionIdentify" when consulting the french cadastre

2019-04-23 10:17 AM - Jean-Patrice VILLAIN

Status: Closed

Priority: Normal

Assignee:

Category: Map Tools

Affected QGIS version:3.4.6 Regression?: No

Operating System: windows 7 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:Yes Copied to github as #: 29724

Description

Crash ID: c7cc71f4640cb334813599b694fe5fbb019e65e7

Stack Trace

QgsGeometryCollection::vertexAt :

QgsMapToolIdentify::closestVertexAttributes :

QgsMapToolIdentify::featureDerivedAttributes :

QgsMapToolIdentify::identifyVectorLayer :

QgsMapToolIdentify::identify :

QgsMapToolIdentify::identify :

QgsMapToolIdentifyAction::identifyFromGeometry :

QMetaObject::activate :

QgsMapToolSelect::qt_static_metacall :

QgsMapToolSelect::setSelectionMode :

QgsMapToolIdentifyAction::canvasReleaseEvent :

QgsMapCanvas::mouseReleaseEvent :

QWidget::event :

QFrame::event :

QGraphicsView::viewportEvent :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :
QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.4.6-Madeira

QGIS code revision: cc0e375a9f

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.1

Running against GDAL: 2.4.1

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2019-04-23 10:18 AM - Giovanni Manghi

- Status changed from Open to Feedback

is this caused by a 3rd party plugin?

#2 - 2019-04-29 09:10 AM - Jean-Patrice VILLAIN

Yes sorry, french plugin "cadastre" by 3Liz, I guess my message is not in the right place...

#3 - 2019-05-01 06:02 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
